package at.xaxa.gamelibraryapp.ui

import androidx.lifecycle.ViewModelProvider.AndroidViewModelFactory.Companion.APPLICATION_KEY
import androidx.lifecycle.createSavedStateHandle
import androidx.lifecycle.viewmodel.initializer
import androidx.lifecycle.viewmodel.viewModelFactory
import at.xaxa.gamelibraryapp.LibraryApplication
import at.xaxa.gamelibraryapp.ui.Details.DetailsViewModel

object AppViewModelProvider {
    val Factory = viewModelFactory {
        initializer {
            DetailsViewModel(this.createSavedStateHandle(), (this[APPLICATION_KEY] as LibraryApplication).libraryRepository)
        }

        /*initializer {
            ContactsViewModel((this[APPLICATION_KEY] as ContactsApplication).contactsRepository)
        }

        initializer {
            ContactDetailsViewModel(this.createSavedStateHandle(), (this[APPLICATION_KEY] as ContactsApplication).contactsRepository)
        }

        initializer {
            ContactEditViewModel(this.createSavedStateHandle(), (this[APPLICATION_KEY] as ContactsApplication).contactsRepository)
        }*/
    }
}