package at.xaxa.gamelibraryapp.ui.Search

import androidx.compose.foundation.lazy.LazyColumn
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import at.xaxa.gamelibraryapp.ui.HorizontalCard

@Composable
fun SearchList(modifier: Modifier = Modifier, onCardClick: (Int) -> Unit){
    LazyColumn{
        items(16) { index ->
            HorizontalCard(modifier,
                "test $index",
                "details $index",
                "https://media.rawg.io/media/games/6e0/6e0c19bb111bd4fa20cf0eb72a049519.jpg",
                onClick = {
                    onCardClick(index)
                }
            )
        }
    }
}