package at.xaxa.gamelibraryapp.data.remote

import kotlinx.serialization.Serializable

@Serializable
data class ApiResponse(
    val count: Int,
    val next: String?,
    val previous: String?,
    val results: List<GameDto>
)

@Serializable
data class GameDto(
    val id: Int,
    val name: String,
    val background_image: String,
    val genres: List<GenreDto>
)

@Serializable
data class GenreDto(
    val id: Int,
    val name: String
)
